int bk_lookup(int ch, char *name);
int bk_isbusy(int ch);
int bk_tick(int x, int msec);
int bk_init(int (*vdmsg)(const char * arg_list, ...),int (*vimsg)(const char * arg_list, ...),int (*vemsg)(const char * arg_list, ...));
int bk_start(int x, char *name, int xtype, int isnew);
int bk_get(char *s);
int bk_send(int x);
int bk_nextns(int x, char *reason);
int bk_read(int x, int msec, int ns);
int bk_mkquery(int x, int op, char *dname, int xclass
	    , int type, u_char *data, int datalen);
int mxc_age(int force);

int bk_comp(char *dname, char *cp, int bflen);
void bk_putshort(u_int src, u_char *dst) ;
int mxc_add(char *name, char *result);
int dns_stats(int delay, int worked, int n, int x, int isorbs);
int mxc_addfail(char *name, int invalid, char *results);
int mx_any_busy(void);
char *rr_aaaa(u_char **answer);	// 128 bit raw internet address...

int dns_disk_write(void);
int dns_disk_init(void);
int dns_disk_lookup(char *name, char *result);
int dns_disk_add(char *name, char *result, int dodisk);
void dns_disk_clear(void);
